
#ifndef DISAINDUST_H
#define DISAINDUST_H

#include <linux/ioctl.h> 

#define disaindust_major 161
#define MAXCARD 4
#define REGIONLENGTH 8

#define DISAINDUST_WRITE_PORT           _IOW(disaindust_major, 0 , int)
#define DISAINDUST_READ_PORT            _IOR(disaindust_major, 1 , int)
#define DISAINDUST_SELECT_PORT          _IOW(disaindust_major, 2 , int)

#define DEVICE_NAME "disaindust"

#define PORT1 0
#define PORT2 1
#define PORT3 2
#define PORT4 3
#define PORT5 4
#define PORT6 5
#define PORT7 6
#define PORT8 7

int  ReadIsaIndustPort(int file_desc,int port);
int  WriteIsaIndustPort(int file_desc,int port,int data);
#endif
